| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StdoutLogger Class Reference

Simple logger that writes to stdout and stderr. More...

`#include <Logging.h>`

Inheritance diagram for StdoutLogger:

## Public Member Functions
| StdoutLogger (Logger::log_level_t stderrLevel=Logger::kWarning)
| Default constructor.
Public Member Functions inherited from Logger
| Logger ()
| Default constructor.
virtual | ~Logger ()
| Destructor.
void | setFilterLevel (log_level_t level)
| Changes the logging level to level.
log_level_t | getFilterLevel () const
| Returns the current logging filter level.
void | setOutputLevel (log_level_t level)
| Changes the logging output level to level.
log_level_t | getOutputLevel () const
| Returns the current logging output level.
virtual void | log (const char *fmt,...)
| Log with format.
virtual void | log (const std::string &msg)
| Log a string object.
virtual void | log (log_level_t level, const char *fmt,...)
| Log with format at a specific output level.
virtual void | log (log_level_t level, const std::string &msg)
| Log a string output at a specific output level.
virtual void | log (const char *fmt, va_list args)
| Log with format using an argument list.
virtual void | log (log_level_t level, const char *fmt, va_list args)
| Log with format using an argument with a specific output level. More...

## Protected Member Functions
virtual void | _log (Logger::log_level_t level, const char *msg)
| Logs the message to stdout.

## Protected Attributes
Logger::log_level_t | m_stderrLevel
| Logs at and below this level get sent to stderr.
Protected Attributes inherited from Logger
log_level_t | m_filter
| The current logging filter level.
log_level_t | m_level
| The current log output level.

## Additional Inherited Members
Public Types inherited from Logger
enum | log_level_t { kUrgent, kError, kWarning, kInfo, kInfo2, kDebug, kDebug2, kInfo1, kDebug1 }
| Logging levels. More...

## Detailed Description

Simple logger that writes to stdout and stderr.

The documentation for this class was generated from the following files:

- Logging.h
- Logging.cpp